/* Franky Alfaro  3-18-13
   -=RogueLabz=-
   This sketch is written to retrieve the address of a DS18s20 temperature sensor
   through the One Wire protocol
*/



#include <OneWire.h>


OneWire Temp(10);
byte F[8];
int i;

/////////////////////////////

void setup()
{
 Serial.begin(9600); 


///////////////////////////////



  
  Temp.reset();
  
  if((Temp.search(F)) == 1){
  
  Serial.println("Your ONE WIRE Device unique address is: ");
  
  for(i=0; i<8; i++){
    
    Temp.read();
    Serial.print("0x");
    Serial.print(F[i], HEX);
    if(i < 7) Serial.print(", ");
    
    
    if(i > 6) 
    {
      Serial.println();
      Serial.println();
    }
    
  }
  delay(2000);
}
else
{
  Serial.println("No Devices Found!");
}
}

void loop()
{
  /* Since the code is only to display the 1 Wire device
  address, the code is only run once in the void setup()
 */
  
  
}


